Skip to content

List Alerts

GET
/api/v1/alerts
curl --request GET \
--url 'https://example.com/api/v1/alerts?limit=50&offset=0'
limit
Limit
integer
default: 50 >= 1 <= 250
offset
Offset
integer
0

Successful Response

Media typeapplication/json
Response List Alerts Api V1 Alerts Get
Array<object>
AlertOut

One open alert, with read_at null while the user has not read it. payload keys by rule type:

  • stale_snapshot: account_id, account_name, last_snapshot_date (ISO), days
  • budget_overspent: category_id, category_name, month, spent, budget, percent (the spent share; the level that fired when the month’s limit is 0), level (the budget level that fired), currency
  • bill_due: planned_transaction_id, name, due_date (the date it is due on, after the weekend shift), anchor_date (its scheduled date, before the shift), amount, currency, transaction_type
  • net_worth_threshold: threshold_id, direction, target_amount, base_currency
  • snapshot_reminder: recurring_snapshot_id, account_id, account_name, due_date
object
id
required
Id
integer
rule_type
required
Rule Type
string
Allowed values: budget_overspent bill_due stale_snapshot net_worth_threshold snapshot_reminder
payload
required
Payload
object
key
additional properties
any
created_at
required
Created At
string format: date-time
read_at
required
Any of:
string format: date-time

Example

[
{
"rule_type": "budget_overspent"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}